Analyzer を実行 (V2)
この操作は、指定されたテキストに対して analyzer を実行し、トークン化結果を返します。
POST/v2/vectordb/common/run_analyzer
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
📘ノート
- サービングクラスターを使用している場合は、クラスターエンドポイントを使用してください。
Free & Serverless
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
${CLUSTER_ENDPOINT}を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。- エンドポイントを取得するには、Describe Cluster V2 APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
パラメータ
Authorizationstringheader必要
認証トークンは、適切な権限を持つ API key または username:password のようにコロンで連結した username と password の組み合わせである必要があります。project endpoint を使用している場合は、十分な権限を持つ有効な API key のみ使用できます。
値の例: Bearer {{TOKEN}}
リクエスト・ボディapplication/json
dbNamestring
データベースの名前。
textarray必要
解析するテキスト文字列のリスト。
[]textstring
(近日追加予定)
analyzerParamsstring
JSON 文字列として指定する analyzer パラメータ。
withDetailboolean
詳細なトークン情報を返すかどうか。
withHashboolean
結果に hash 値を含めるかどうか。
collectionNamestring
使用するフィールド analyzer を持つ collection の名前。
fieldNamestring
使用する analyzer を持つ field の名前。
analyzerNamesarray
使用する analyzer 名のリスト。
[]analyzerNamesstring
(近日追加予定)
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/common/run_analyzer" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"text": [
"Hello world"
],
"analyzerParams": "{\"type\": \"standard\"}",
"withDetail": false
}'
レスポンス200 OK - application/json
なし
codeinteger
(近日追加予定)
dataarray
[]dataobject
tokensarray
[]tokensstring
(近日追加予定)
エラーメッセージを返します。
codeinteger
レスポンスコード。
messagestring
エラーメッセージ。
Successjson
{
"code": 0,
"data": [
{
"tokens": [
"hello",
"world"
]
}
]
}